com.h3c.sdn.topology.model

## Class LinkedEntities

- java.lang.Object
- - com.h3c.sdn.topology.model.LinkedEntities

- Deprecated.
  As of v1.6 this has been replaced by `Link` abstraction.

      @Deprecated
      public class LinkedEntities
      extends Object

  Abstraction for the participants of a Layer 2 Link.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkedEntities(Long sourceSw, Short sourcePrt, Long destSw, Short destPrt)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)` Deprecated.
    `Short` | `getDestPort()` Deprecated.
    `Long` | `getDestSwitch()` Deprecated.
    `Short` | `getSourcePort()` Deprecated.
    `Long` | `getSourceSwitch()` Deprecated.
    `int` | `hashCode()` Deprecated.
    `void` | `setDestPort(Short destPort)` Deprecated.
    `void` | `setDestSwitch(Long destSwitch)` Deprecated.
    `void` | `setSourcePort(Short sourcePort)` Deprecated.
    `void` | `setSourceSwitch(Long sourceSwitch)` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkedEntities

          public LinkedEntities(Long sourceSw,
                        Short sourcePrt,
                        Long destSw,
                        Short destPrt)

      Deprecated.

  - ### Method Detail

    - #### equals

          public boolean equals(Object other)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

    - #### getSourceSwitch

          public Long getSourceSwitch()

      Deprecated.
      Returns:
        the sourceSwitch

    - #### setSourceSwitch

          public void setSourceSwitch(Long sourceSwitch)

      Deprecated.
      Parameters:
        `sourceSwitch` - the sourceSwitch to set

    - #### getSourcePort

          public Short getSourcePort()

      Deprecated.
      Returns:
        the sourcePort

    - #### setSourcePort

          public void setSourcePort(Short sourcePort)

      Deprecated.
      Parameters:
        `sourcePort` - the sourcePort to set

    - #### getDestSwitch

          public Long getDestSwitch()

      Deprecated.
      Returns:
        the destSwitch

    - #### setDestSwitch

          public void setDestSwitch(Long destSwitch)

      Deprecated.
      Parameters:
        `destSwitch` - the destSwitch to set

    - #### getDestPort

          public Short getDestPort()

      Deprecated.
      Returns:
        the destPort

    - #### setDestPort

          public void setDestPort(Short destPort)

      Deprecated.
      Parameters:
        `destPort` - the destPort to set

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.